<apex:component >
   <apex:attribute name="records" type="sobject[]" required="true" description=""/>     <!--controller mdun yat data yeil-->
   <apex:attribute name="fields" type="string[]" required="true" description=""/>		<!--controller mdun yat data yeil-->
   <table border="2" >
          <tr>
           <th>Full Name</th>
           <th> Email</th>
           <th>Expected Salary</th>  
           <th> Job Type</th>
          
           </tr>

      <apex:repeat var="item" value="{!records}">
           <tr>
               <apex:repeat var="fieldItem" value="{!fields}">   <!--loop-->
                   <td>{!item[fieldItem]}</td>
               </apex:repeat>
           </tr>
       </apex:repeat>
   </table>
</apex:component>